Subject: Re: [Uri-review] Any concerns with draft-yevstifeyev-xri-uri-rsrv?

From: Mykyta Yevstifeyev <[email-masked]>
Date: Sun, 07 Aug 2011 08:19:57 +0300

Hello all,

Based on the ongoing work on XRI Syntax 3.0, which will deprecate the 
'xri' URI scheme, I've prepared a new version of this draft:

http://tools.ietf.org/html/draft-yevstifeyev-xri-uri-rsrv-01

It intends to register the scheme as Historical now.  Please provide 
your comments on this document on the list or personally to me.

Thanks,
Mykyta Yevstifeyev

12.06.2011 9:26, Graham Klyne wrote:
> <sigh> Why does everyone want to reinvent URIs?
>
> I can't see any point in this.  We already have urn: and info: 
> schemes.  And the declared purpose of this scheme ("Extensible 
> Resource Identifiers (XRIs) are a way of abstractly identifying a 
> resource independently of any particular concrete representation of 
> it") is demonstrably achievable using http (W3C specs do it all the 
> time) or other existing URI schemes.
>
> #g
> -- 
>
>
> Mykyta Yevstifeyev wrote:
>> Hello,
>>
>> Please see http://tools.ietf.org/html/draft-yevstifeyev-xri-uri-rsrv-00.
>>
>> The document is currently under OASIS XRI TC 
>> (http://www.oasis-open.org/committees/tc_home.php?wg_abbrev=xri) 
>> review; however I'd like to ask whether anybody has concerns with 
>> regard to it.
>>
>> Thanks,
>> Mykyta Yevstifeyev
>> _______________________________________________
>> Uri-review mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/uri-review
>>
>
>
>

---

From: Graham Klyne <[email-masked]>
Date: Mon, 08 Aug 2011 10:19:05 +0100

Hi Mykyta,

My main concern with this is that I fear it may be jumping the gun, in that a 
quick scan of your ref [XRISyntax3] (accessed via 
http://www.oasis-open.org/committees/document.php?document_id=35971) doesn't 
show any clear intent that I can see to deprecate the xri: scheme.

Are you actually working with anyone from the OASIS XRI group?  My concern here 
is that while it's OK to create informative (provisional) registrations that 
simply document or refer to technical work of other groups, for an IETF/IANA 
registry to actually make (unsupported) assertions about other groups' process 
status is rather tricky ground.

Absent clearer evidence of OASIS intent to deprecate the xri: scheme, at this 
stage I think would be more inclined to go for provisional registration. maybe 
with a note explaining why continued use is not anticipated.

...

And a couple of nits:

(1) the Internet Draft is marked for intended status "historic".  While it tries 
to make a URI scheme historic, I think the draft itself is current in its 
action, and as such I think might better be classed as "informational".

(2) I found your reference [XRISyntax3] was a bit unsatisfactory in two ways: 
(a) it clearly marked as a work-in-progress, and as such a poor basis for a 
normative reference in an IETF document, and (b) it is somewhat inconvenient in 
that no URI or actionable link was provided for it.

#g
--

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 09 Aug 2011 11:41:04 +0300

08.08.2011 12:19, Graham Klyne wrote:
> Hi Mykyta,
>
> My main concern with this is that I fear it may be jumping the gun, in 
> that a quick scan of your ref [XRISyntax3] (accessed via 
> http://www.oasis-open.org/committees/document.php?document_id=35971) 
> doesn't show any clear intent that I can see to deprecate the xri: 
> scheme.
>
> Are you actually working with anyone from the OASIS XRI group?  My 
> concern here is that while it's OK to create informative (provisional) 
> registrations that simply document or refer to technical work of other 
> groups, for an IETF/IANA registry to actually make (unsupported) 
> assertions about other groups' process status is rather tricky ground.
>
> Absent clearer evidence of OASIS intent to deprecate the xri: scheme, 
> at this stage I think would be more inclined to go for provisional 
> registration. maybe with a note explaining why continued use is not 
> anticipated.

That's how I intended to process the registration before.  Actually, XRI 
3.0 draft doesn't contain any regulations with respect to 'xri' URIs; 
instead, binding to 'http', 'https' and 'info' scheme is drafted.

>
> ...
>
> And a couple of nits:
>
> (1) the Internet Draft is marked for intended status "historic".  
> While it tries to make a URI scheme historic, I think the draft itself 
> is current in its action, and as such I think might better be classed 
> as "informational".

I have no strong position here.  So I'll change to Informational.

>
> (2) I found your reference [XRISyntax3] was a bit unsatisfactory in 
> two ways: (a) it clearly marked as a work-in-progress, and as such a 
> poor basis for a normative reference in an IETF document, and (b) it 
> is somewhat inconvenient in that no URI or actionable link was 
> provided for it.

I think when XRI 3.0 is processed, a new document "moving 'xri' to 
Historic" will be published; now I'm OK to remove [XRISyntax3] from the 
document.

Thanks for your comments.

Mykyta

>>>> Please see 
>>>> http://tools.ietf.org/html/draft-yevstifeyev-xri-uri-rsrv-00.
>>>>

---

From: Graham Klyne <[email-masked]>
Date: Tue, 09 Aug 2011 11:41:41 +0100

> Historic" will be published; now I'm OK to remove [XRISyntax3] from the 

I'd be inclined to leave it in as informational, with a link to the OASIS 
landing page for the work-in-progress, as it is part of the background 
discussion and rationale.

(I'm not  sure if it makes sense to have normative references in a informational 
publication, but I'll let RFC editor or whoever make the appropriate call on that.)

#g
--

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 09 Aug 2011 16:59:44 +0300

09.08.2011 13:41, Graham Klyne wrote:
>> Historic" will be published; now I'm OK to remove [XRISyntax3] from 
>> the document.
>
> I'd be inclined to leave it in as informational, with a link to the 
> OASIS landing page for the work-in-progress, as it is part of the 
> background discussion and rationale.
>
> (I'm not  sure if it makes sense to have normative references in a 
> informational publication, but I'll let RFC editor or whoever make the 
> appropriate call on that.)

I've just uploaded a new revision of the draft.  Please see 
http://tools.ietf.org/html/draft-yevstifeyev-xri-uri-rsrv-02.  I'm 
planing to process it as Independent Submission, so I'll contact ISE to 
process it.

Mykyta

---

From: Graham Klyne <[email-masked]>
Date: Tue, 09 Aug 2011 15:18:24 +0100

> planing to process it as Independent Submission, so I'll contact ISE to 

Since you are making assertion about an OASIS specification, I would suggest 
that before approaching ISE, you explicitly seek review by relevant OASIS 
people, and sort out section 1.1.  Don't assume OASIS people are reading this list.

#g
--